Skip to content
Get started

List datasets

GET/api/v1/datasets

List datasets

Query ParametersExpand Collapse
created_after: optional string

ISO 8601 datetime — datasets created after this time.

created_before: optional string

ISO 8601 datetime — datasets created before this time.

cursor: optional string

Cursor from the previous response next_cursor field.

limit: optional number

Number of results (max 100, default 20). Used with cursor pagination.

q: optional string

Search by dataset name (case-insensitive contains).

sort: optional string

Sort field: created_at | updated_at | name (default: created_at).

sort_direction: optional string

Sort direction: asc | desc (default: desc).

status: optional string

Filter by status: pending | running | succeeded | failed

ReturnsExpand Collapse
datasets: array of object { created_at, dataset_id, status, 4 more }

Page of datasets

created_at: string

Timestamp when the dataset was created

formatdate-time
dataset_id: string

Dataset ID

status: "pending" or "running" or "succeeded" or "failed"

Dataset status

One of the following:
"pending"
"running"
"succeeded"
"failed"
updated_at: string

Last updated timestamp

formatdate-time
description: optional string

Auto-generated description of the dataset contents

name: optional string

Dataset name

row_count: optional number

Total number of rows

next_cursor: optional string

Cursor for the next page. Null when no more results.

List datasets

curl https://api.adaptionlabs.ai/api/v1/datasets \
    -H "Authorization: Bearer $ADAPTION_API_KEY"
{
  "datasets": [
    {
      "created_at": "2019-12-27T18:11:19.117Z",
      "dataset_id": "550e8400-e29b-41d4-a716-446655440000",
      "status": "pending",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "name": "My training data",
      "row_count": 1000
    }
  ],
  "next_cursor": "550e8400-e29b-41d4-a716-446655440000"
}
Returns Examples
{
  "datasets": [
    {
      "created_at": "2019-12-27T18:11:19.117Z",
      "dataset_id": "550e8400-e29b-41d4-a716-446655440000",
      "status": "pending",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "name": "My training data",
      "row_count": 1000
    }
  ],
  "next_cursor": "550e8400-e29b-41d4-a716-446655440000"
}